com.sun.grid.jgdi.configuration

## Interface ULNG

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ULNGImpl

      public interface ULNG
      extends GEObject

  Java representation of the cull object ULNG_Type defined in sge_all_listsL.template

  Warning: The ULNG class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `int` | `getValue()` Get the value of the value attribute.
    `boolean` | `isSetValue()` Determine if any value attribute is set
    `void` | `setValue(int aValue)` Set the value attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setValue

          void setValue(int aValue)

      Set the value attribute.
      Parameters:
        `aValue` - the new value for the value attribute

    - #### getValue

          int getValue()

      Get the value of the value attribute.
      Returns:
        the value of the value attribute

    - #### isSetValue

          boolean isSetValue()

      Determine if any value attribute is set
      Returns:
        `true` if the value attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.